.navbar-nav > .user-menu > .dropdown-menu {
    width: auto;
}

.sidebar-brand {
    border-bottom-width: 0;
}

.sidebar-wrapper .sidebar-menu > .nav-item.menu-open > .nav-link,
.sidebar-wrapper .sidebar-menu > .nav-item:hover > .nav-link,
.sidebar-wrapper .sidebar-menu > .nav-item > .nav-link:focus,
.sidebar-wrapper .nav-treeview > .nav-item > .nav-link.active,
.sidebar-wrapper .nav-treeview > .nav-item > .nav-link.active:hover,
.sidebar-wrapper .nav-treeview > .nav-item > .nav-link.active:focus,
.sidebar-wrapper .sidebar-menu > .nav-item > .nav-link.active:not(:hover) {
    color: var(--bs-white);
    background-color: var(--bs-primary);
}

.sidebar-wrapper .nav-header {
    font-size: 12px;
    font-weight: bold;
    margin-top: 1rem;
}

.table thead th {
    border-bottom: 1px solid #e2e5e8;
    font-size: 13px;
    color: #37474f;
    background: #ecf0f5;
    text-wrap: nowrap;
}

.table tbody td {
    font-size: 14px;
    color: #373a3c;
    text-wrap: nowrap;
}

.table-responsive {
    display: block;
    width: 100%;
}

.pagination {
    display: block;
    text-align: center;
}

.pagination .btn-group a {
    border: var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);
}

.pagination .btn-group a:hover,
.pagination .btn-group a:focus,
.pagination .btn-group a:active,
.pagination .btn-group a.active {
    color: var(--bs-white);
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.nav-pills {
    --bs-nav-pills-link-active-color: var(--bs-white);
    --bs-nav-pills-link-active-bg: var(--bs-primary);
}

[data-bs-theme="dark"] .nav-pills {
    --bs-nav-pills-link-active-color: #121212;
    --bs-nav-pills-link-active-bg: var(--bs-primary);
}

.dropdown-menu {
    --bs-dropdown-link-color: var(--color-text);
    --bs-dropdown-link-hover-color: var(--color-primary-dark);
    --bs-dropdown-link-hover-bg: var(--color-primary-soft);
    --bs-dropdown-link-active-color: var(--bs-white);
    --bs-dropdown-link-active-bg: var(--bs-primary);
    --bs-dropdown-header-color: var(--color-text-secondary);
}

[data-bs-theme="dark"] .dropdown-menu {
    --bs-dropdown-link-color: var(--color-text);
    --bs-dropdown-link-hover-color: var(--color-primary-dark);
    --bs-dropdown-link-hover-bg: var(--color-primary-soft);
    --bs-dropdown-link-active-color: #121212;
    --bs-dropdown-link-active-bg: var(--bs-primary);
    --bs-dropdown-header-color: var(--color-text-secondary);
}

.btn-sm.btn-icon {
    --bs-btn-padding-x: 0.5rem;
}

.modal-header {
    border-bottom-width: 0;
}

.modal-footer {
    border-top-width: 0;
}

.toast {
    position: fixed;
    top: 2rem;
    right: 1rem;
    z-index: 10000;
}

.form-label.required::after {
    content: "必須";
    margin-left: 0.5rem;
    padding: 0.1rem 0.4rem;
    font-size: 0.75rem;
    color: #fff;
    background-color: #dc3545;
    border-radius: 0.25rem;
    vertical-align: middle;
}

.form-switch .form-check-label {
    font-size: 14px;
    color: var(--bs-secondary);
    font-weight: bold;
}

.form-switch input[type="checkbox"].form-check-input:checked ~ .form-check-label.form-switch-label-off {
    display: none;
}

.form-switch input[type="checkbox"].form-check-input:not(:checked) ~ .form-check-label.form-switch-label-on {
    display: none;
}

.input-group > .dropdown:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) > input {
    margin-left: calc(-1 * var(--bs-border-width));
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.badge.badge-outline {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    color: var(--btn-secondary-bg);
    border: 1px solid var(--btn-secondary-bg);
}

.badge.badge-outline .btn-close {
    width: 0.5em;
    height: 0.5em;
    margin-left: 0.5rem;
}

.login-page {
    justify-content: start;
}

.product-tags .btn {
    padding: 0.15rem 0.35rem;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.product-tags .productTag {
    cursor: pointer;
}

.product-tags .productTag:not(.inactive):hover,
.product-tags .productTag.active {
    border-color: var(--btn-primary-bg);
    color: var(--btn-primary-bg);
}

.imgPreview {
    display: flex;
    justify-content: center;
    align-items: center;
}

.imgPreview img {
    width: auto;
    max-height: 250px;
}

.imgUpload {
    display: flex;
    position: relative;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px dashed var(--bs-border-color);
    min-height: 200px;
    border-radius: 0.5rem;
    background-color: var(--bs-secondary-bg-subtle);
    color: var(--bs-secondary);
    font-size: 1.5rem;
    cursor: pointer;
}

.imgUpload i {
    font-size: 2rem;
}

.imgUpload input[type="file"] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

.imgUpload:hover {
    opacity: 0.8;
}

.order-items {
    width: 2rem;
    text-align: center;
    vertical-align: middle;
    cursor: grab;
}

.order-items.hover i {
    color: var(--bs-dark);
}

.dropdown.timePicker .dropdown-menu .minute-list {
    max-height: 185px;
    overflow-y: auto;
}

.timePicker .dropdown-menu .hourSelect {
    display: block;
    width: 90%;
    margin: 0 auto;
    font-size: 12px;
    padding: 1px;
    height: auto;
    cursor: default;
}
